#邮件设置
---

配置邮件服务器，用于平台流程的邮件分享或者是流程的邮件提醒通知等等操作，用户需要自己先配置邮件服务器才能进行邮件的发送。

##**基本信息**

| 系统邮件发送设置   |                                                              |
|--------------------|--------------------------------------------------------------|
| 邮件发送主机       | 邮件发送服务器，如腾讯企业邮箱发送服务器：smtp.exmail.qq.com |
| 邮件发出地址       | 邮件发送地址，如企业邮箱的超级管理员，邮件由该用户发出       |
| 邮件发送账号       | 邮件发送地址，如企业邮箱的超级管理员，邮件由该用户发出       |
| 邮件发送密码       | 此处指客户端专用密码                                         |
| 邮件抄送地址       | 邮件发送的同时向某个邮箱发送抄送信息                         |
| 基本设置           |                                                              |
| 邮件客户端         | 勾选是否来激活禁止该功能                                     |
| 邮件功能域         | 邮件的功能域，默认为腾讯邮箱：qq.com                         |
| 垃圾箱             |                                                              |
| 发送箱             |                                                              |
| 草稿               |                                                              |
| 已删除             |                                                              |
| 收邮件配置         |                                                              |
| 收取邮件服务器     | 设置邮件接收服务器的IP地址                                   |
| 收取邮件服务器端口 | 设置收取邮件的服务器端口，该处到企业邮箱中查看。             |
| 收取邮件协议       | 设置收取邮件的协议，默认为imap                               |
| 是否需要证书       | 勾选是否使用证书                                             |
| 发邮件配置         |                                                              |
| 发送邮件服务器     | 设置邮件发送服务器的IP地址                                   |
| 发送邮件服务器端口 | 设置发送邮件的服务器端口，该处到企业邮箱中查看。             |
| 是否可带附件       | 勾选是否允许邮件中带上附件                                   |
| 是否需要证书       | 勾选是否使用证书                                             |

##**配置步骤**

**配置如下图：**

**第一步：邮件发送主机地址，该值为企业邮箱的发送服务器；**

![](imgs/Mailboxsettings01.png)

![](imgs/Mailboxsettings02.png)

**第二步：发送地址/发送帐号，该值可以相同，指通过什么帐号来进行发送消息；**

![](imgs/Mailboxsettings03.png)

**第三步：设置发送密码，该处指的不是发送邮件帐号的密码，而是客户端密码。该处以腾讯企业邮箱为例；**

![](imgs/Mailboxsettings04.png)

**第四步：开启使用客户端并设置邮件功能域，基本设置中只需要修改邮件功能域即可，其他的地方可以按照系统默认设置即可；**

![](imgs/Mailboxsettings05.png)

**第五步：收取邮件服务器及端口配置和发送邮件服务器及端口配置，是否需要证书或者附件等功能结合自身情况勾选使用即可；（以腾讯企业邮箱为例）**

![](imgs/Mailboxsettings06.png)

![](imgs/Mailboxsettings07.png)

**第六步：设置好了邮箱配置，可以通过脚本发送信息到其他用户的邮箱测试是否可行；（在表单中配置自定义操作按钮来执行该脚本即可）**

```
//在平台系统设置中配置好邮箱，点击按钮触发脚本发送邮件
(function(){
	var to=getItemValueAsString("接收人地址");  
	var subject=getItemValueAsString("主题");
	var content=getItemValueAsString("邮件内容");
	sendEmailBySystemUser(to,subject,content);
})();
```


